ApiGen task (http://apigen.org).

Use Project#createTask to register a new Task.

package | phing.tasks.ext.apigen
author | Martin Srank
author | Jaroslav Hanslík
since | 2.4.10
copyright | 2001,2002 THYRELL. All rights reserved
version | $Id$

### Methods

## Returns the textual description of the task

    getDescription() : string

Inherited

inherited_from | \Task::getDescription()

### Returns

`string`The text description of the task

## Returns the location within the buildfile this task occurs.

    getLocation() : \Location

Inherited

Used by BuildException to give detailed error messages.

inherited_from | \Task::getLocation()

### Returns

`\Location`The location object describing the position of this task within the buildfile.

## Returns the owning target of this task.

    getOwningTarget() : \Target

Inherited

inherited_from | \Task::getOwningTarget()

### Returns

`\Target`The target object that owns this task

## Returns a reference to current project

    getProject() : \Project

Inherited

inherited_from | \ProjectComponent::getProject()
inherited_from | \Task::getProject()

### Returns

`\Project`Reference to current porject object

## Returns the wrapper object for runtime configuration

    getRuntimeConfigurableWrapper() : \RuntimeConfigurable

Inherited

inherited_from | \Task::getRuntimeConfigurableWrapper()

### Returns

`\RuntimeConfigurable`The wrapper object used by this task

## Returns the name of task, used only for log messages

    getTaskName() : string

Inherited

inherited_from | \Task::getTaskName()

### Returns

`string`Name of this task

## Returns the name of the task under which it was invoked, usually the XML tagname

    getTaskType() : string

Inherited

inherited_from | \Task::getTaskType()

### Returns

`string`The type of this task (XML Tag)

## Called by the parser to let the task initialize properly.

    init()

Inherited

Should throw a BuildException if something goes wrong with the build

This is abstract here, but may not be overloaded by subclasses.

inherited_from | \Task::init()

### Exceptions

`\BuildException` |

## Provides a project level log event to the task.

    log(string $msg, integer $level)

Inherited

see | \global\BuildEvent
see | \global\BuildListener
inherited_from | \Task::log()

### Parameters

#### $msg

`string`

The message to log

#### $level

`integer`

The priority of the message

## Runs ApiGen.

    main()

This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running phing target1 target2 will run all tasks in target3 twice.

Should throw a BuildException if someting goes wrong with the build

This is abstract here. Must be overloaded by real tasks.

see | \global\Task::main()

### Exceptions

`\BuildException` | If something is wrong.

## Configure this task if it hasn't been done already.

    maybeConfigure()

Inherited

inherited_from | \Task::maybeConfigure()

## Perfrom this task

    perform()

Inherited

inherited_from | \Task::perform()

## Sets the element access levels.

    setAccessLevels(string $accessLevels)

Documentation only for methods and properties with the given access level will be generated.

### Parameters

#### $accessLevels

`string`

## Sets a list of HTML tags allowed in the documentation.

    setAllowedHtml(string $allowedHtml)

### Parameters

#### $allowedHtml

`string`

## Sets element types for search input autocomplete.

    setAutocomplete(string $autocomplete)

### Parameters

#### $autocomplete

`string`

## Sets the documentation base URL.

    setBaseUrl(string $baseUrl)

### Parameters

#### $baseUrl

`string`

## Sets the character set of source files.

    setCharset(string $charset)

### Parameters

#### $charset

`string`

## Sets the config file name.

    setConfig(string $config)

### Parameters

#### $config

`string`

## Enables/disables the debug mode.

    setDebug(boolean $debug)

### Parameters

#### $debug

`boolean`

## Sets if documentation for deprecated elements should be generated.

    setDeprecated(boolean $deprecated)

### Parameters

#### $deprecated

`boolean`

## Sets a textual description of the task

    setDescription(string $desc)

Inherited

inherited_from | \Task::setDescription()

### Parameters

#### $desc

`string`

The text describing the task

## Sets the destination directory.

    setDestination(string $destination)

### Parameters

#### $destination

`string`

## Sets if a link to download documentation as a ZIP archive should be generated.

    setDownload(boolean $download)

### Parameters

#### $download

`boolean`

## Sets masks (case sensitive) to exclude files or directories from processing.

    setExclude(string $exclude)

### Parameters

#### $exclude

`string`

## Sets the ApiGen executable name.

    setExecutable(string $executable)

### Parameters

#### $executable

`string`

## Sets list of allowed file extensions.

    setExtensions(string $extensions)

### Parameters

#### $extensions

`string`

## Sets the Google Analytics tracking code.

    setGoogleAnalytics(string $googleAnalytics)

### Parameters

#### $googleAnalytics

`string`

## Sets the Google Custom Search ID.

    setGoogleCseId(string $googleCseId)

### Parameters

#### $googleCseId

`string`

## Sets the Google Custom Search label.

    setGoogleCseLabel(string $googleCseLabel)

### Parameters

#### $googleCseLabel

`string`

## Sets how elements should be grouped in the menu.

    setGroups(string $groups)

### Parameters

#### $groups

`string`

## Sets if documentation for elements marked as internal and internal documentation parts should be generated.

    setInternal(boolean $internal)

### Parameters

#### $internal

`boolean`

## Sets the location within the buildfile this task occurs.

    setLocation(\Location $location)

Inherited

Called by the parser to set location information.

inherited_from | \Task::setLocation()

### Parameters

#### $location

`\Location`

The location object describing the position of this task within the buildfile.

## Sets the main project name prefix.

    setMain(string $main)

### Parameters

#### $main

`string`

## Sets the owning target this task belongs to.

    setOwningTarget(\Target $target)

Inherited

inherited_from | \Task::setOwningTarget()

### Parameters

#### $target

`\Target`

Reference to owning target

## Sets if documentation for PHP internal classes should be generated.

    setPhp(boolean $php)

### Parameters

#### $php

`boolean`

## References the project to the current component.

    setProject(\Project $project)

Inherited

inherited_from | \ProjectComponent::setProject()
inherited_from | \Task::setProject()

### Parameters

#### $project

`\Project`

The reference to the current project

## Enables/disables scaning and generating messages.

    setQuiet(boolean $quiet)

### Parameters

#### $quiet

`boolean`

## Sets a file name for checkstyle report of poorly documented elements.

    setReport(string $report)

### Parameters

#### $report

`string`

## Sets the wrapper object this task should use for runtime configurable elements.

    setRuntimeConfigurableWrapper(\RuntimeConfigurable $wrapper)

Inherited

inherited_from | \Task::setRuntimeConfigurableWrapper()

### Parameters

#### $wrapper

`\RuntimeConfigurable`

The wrapper object this task should use

## Sets masks to exclude elements from documentation generating.

    setSkipDocPath(string $skipDocPath)

### Parameters

#### $skipDocPath

`string`

## Sets a name prefix to exclude elements from documentation generating.

    setSkipDocPrefix(string $skipDocPrefix)

### Parameters

#### $skipDocPrefix

`string`

## Sets source files or directories.

    setSource(string $source)

### Parameters

#### $source

`string`

## Sets if highlighted source code files should be generated.

    setSourceCode(boolean $sourceCode)

### Parameters

#### $sourceCode

`boolean`

## Sets the name of this task for log messages

    setTaskName(string $name) : string

Inherited

inherited_from | \Task::setTaskName()

### Parameters

#### $name

`string`

### Returns

`string`A string representing the name of this task for log

## Sets the type of the task.

    setTaskType(string $name)

Inherited

Usually this is the name of the XML tag

inherited_from | \Task::setTaskType()

### Parameters

#### $name

`string`

The type of this task (XML Tag)

## Sets the template config file name.

    setTemplateConfig(string $templateConfig)

### Parameters

#### $templateConfig

`string`

## Sets the title of generated documentation.

    setTitle(string $title)

### Parameters

#### $title

`string`

## Sets if documentation of tasks should be generated.

    setTodo(boolean $todo)

### Parameters

#### $todo

`boolean`

## Sets if tree view of classes, interfaces, traits and exceptions should be generated.

    setTree(boolean $tree)

### Parameters

#### $tree

`boolean`

## Enables/disables the check for ApiGen updates.

    setUpdateCheck(boolean $updateCheck)

### Parameters

#### $updateCheck

`boolean`

## Sets if the destination directory should be wiped out first.

    setWipeout(boolean $wipeout)

### Parameters

#### $wipeout

`boolean`

## Generates command line arguments for the ApiGen executable.

    constructArguments() : string

### Returns

`string`

## Returns a name

    getRegisterSlot(string $slotName)

Inherited

inherited_from | \Task::getRegisterSlot()

### Parameters

#### $slotName

`string`

### Properties

##

    $description : string

Inherited

inherited_from | \Task::$$description

##

    $location : \Location

Inherited

inherited_from | \Task::$$location

##

    $project : \Project

Inherited

inherited_from | \ProjectComponent::$$project
inherited_from | \Task::$$project

##

    $target : \Target

Inherited

inherited_from | \Task::$$target

##

    $taskName : string

Inherited

inherited_from | \Task::$$taskName

##

    $taskType : string

Inherited

inherited_from | \Task::$$taskType

##

    $wrapper : \RuntimeConfigurable

Inherited

inherited_from | \Task::$$wrapper

##

    $executable : string

##

    $options : array